Bug 434460 - synergy failed massrebuild attempt for GCC 4.3
synergy failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: synergy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 11:26 EST by Jesse Keating
Modified: 2013-01-09 22:14 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3.1-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-23 19:41:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:26:47 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=446414
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Henning Norén 2008-02-22 18:17:28 EST
g++ -DHAVE_CONFIG_H -I. -I../.. -I../../lib/common     -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic -g -Wall -Wno-unknown-pragmas   -DSYSAPI_UNIX=1
-DWINAPI_XWINDOWS=1 -pthread  -MT CArchFileUnix.o -MD -MP -MF
.deps/CArchFileUnix.Tpo -c -o CArchFileUnix.o CArchFileUnix.cpp
CArchDaemonUnix.cpp: In member function 'virtual int
CArchDaemonUnix::daemonize(const char*, int (*)(int, const char**))':
CArchDaemonUnix.cpp:53: error: 'exit' was not declared in this scope
CArchDaemonUnix.cpp:60: warning: ignoring return value of 'int chdir(const
char*)', declared with attribute warn_unused_result
CArchDaemonUnix.cpp:74: warning: ignoring return value of 'int dup(int)',
declared with attribute warn_unused_result
make[3]: *** [CArchDaemonUnix.o] Error 1
make[3]: *** Waiting for unfinished jobs....
mv -f .deps/CArchFileUnix.Tpo .deps/CArchFileUnix.Po
make[3]: Leaving directory `/builddir/build/BUILD/synergy-1.3.1/lib/arch'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/synergy-1.3.1/lib'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/synergy-1.3.1'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.92622 (%build)
Comment 2 Matthias Saou 2008-02-23 19:41:55 EST
Patch included to fix these many build failures.

Note You need to log in before you can comment on or make changes to this bug.